Skip to main content
`Ctrl`+`K`

# ISSetPermutation

Informs the index set that it is a permutation.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISSetPermutation(IS is)

Logically Collective

## Input Parameter

- is - the index set

## Notes

`is` will be considered a permutation permanently, even if indices have been changes (for example, with `ISGeneralSetIndices()`). It’s a good idea to only set this property if `is` will not change in the future.

To clear this property, use `ISClearInfoCache()`.

The debug version of the libraries (./configure –with-debugging=1) checks if the index set is actually a permutation. The optimized version just believes you.

## See Also

`IS`, `ISPermutation()`, `ISSetInfo()`, `ISClearInfoCache().`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages